org.eclipse.eef.impl

## Class EefPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.eef.impl.EefPackageImpl

All Implemented Interfaces:
  EefPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class EefPackageImpl
    extends org.eclipse.emf.ecore.impl.EPackageImpl
    implements EefPackage

An implementation of the model Package.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.eef.EefPackage

`EefPackage.Literals`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.eef.EefPackage

`EEF_BUTTON_CONDITIONAL_STYLE, EEF_BUTTON_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_BUTTON_CONDITIONAL_STYLE__STYLE, EEF_BUTTON_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_BUTTON_DESCRIPTION, EEF_BUTTON_DESCRIPTION__BUTTON_LABEL_EXPRESSION, EEF_BUTTON_DESCRIPTION__CONDITIONAL_STYLES, EEF_BUTTON_DESCRIPTION__HELP_EXPRESSION, EEF_BUTTON_DESCRIPTION__IDENTIFIER, EEF_BUTTON_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_BUTTON_DESCRIPTION__LABEL_EXPRESSION, EEF_BUTTON_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_BUTTON_DESCRIPTION__PUSH_EXPRESSION, EEF_BUTTON_DESCRIPTION__STYLE, EEF_BUTTON_DESCRIPTION_FEATURE_COUNT, EEF_BUTTON_STYLE, EEF_BUTTON_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_BUTTON_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_BUTTON_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_BUTTON_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_BUTTON_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_BUTTON_STYLE_FEATURE_COUNT, EEF_CHECKBOX_CONDITIONAL_STYLE, EEF_CHECKBOX_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_CHECKBOX_CONDITIONAL_STYLE__STYLE, EEF_CHECKBOX_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_CHECKBOX_DESCRIPTION, EEF_CHECKBOX_DESCRIPTION__CONDITIONAL_STYLES, EEF_CHECKBOX_DESCRIPTION__EDIT_EXPRESSION, EEF_CHECKBOX_DESCRIPTION__HELP_EXPRESSION, EEF_CHECKBOX_DESCRIPTION__IDENTIFIER, EEF_CHECKBOX_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_CHECKBOX_DESCRIPTION__LABEL_EXPRESSION, EEF_CHECKBOX_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_CHECKBOX_DESCRIPTION__STYLE, EEF_CHECKBOX_DESCRIPTION__VALUE_EXPRESSION, EEF_CHECKBOX_DESCRIPTION_FEATURE_COUNT, EEF_CHECKBOX_STYLE, EEF_CHECKBOX_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_CHECKBOX_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_CHECKBOX_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_CHECKBOX_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_CHECKBOX_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_CHECKBOX_STYLE_FEATURE_COUNT, EEF_CONDITIONAL_STYLE, EEF_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_CONTAINER_DESCRIPTION, EEF_CONTAINER_DESCRIPTION__CONTROLS, EEF_CONTAINER_DESCRIPTION__IDENTIFIER, EEF_CONTAINER_DESCRIPTION__LAYOUT, EEF_CONTAINER_DESCRIPTION_FEATURE_COUNT, EEF_CONTROL_DESCRIPTION, EEF_CONTROL_DESCRIPTION__IDENTIFIER, EEF_CONTROL_DESCRIPTION_FEATURE_COUNT, EEF_CUSTOM_EXPRESSION, EEF_CUSTOM_EXPRESSION__CUSTOM_EXPRESSION, EEF_CUSTOM_EXPRESSION__IDENTIFIER, EEF_CUSTOM_EXPRESSION_FEATURE_COUNT, EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE, EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__STYLE, EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_CUSTOM_WIDGET_DESCRIPTION, EEF_CUSTOM_WIDGET_DESCRIPTION__CONDITIONAL_STYLES, EEF_CUSTOM_WIDGET_DESCRIPTION__CUSTOM_EXPRESSIONS, EEF_CUSTOM_WIDGET_DESCRIPTION__HELP_EXPRESSION, EEF_CUSTOM_WIDGET_DESCRIPTION__IDENTIFIER, EEF_CUSTOM_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_CUSTOM_WIDGET_DESCRIPTION__LABEL_EXPRESSION, EEF_CUSTOM_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_CUSTOM_WIDGET_DESCRIPTION__STYLE, EEF_CUSTOM_WIDGET_DESCRIPTION_FEATURE_COUNT, EEF_CUSTOM_WIDGET_STYLE, EEF_CUSTOM_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_CUSTOM_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_CUSTOM_WIDGET_STYLE_FEATURE_COUNT, EEF_DYNAMIC_MAPPING_FOR, EEF_DYNAMIC_MAPPING_FOR__IDENTIFIER, EEF_DYNAMIC_MAPPING_FOR__IFS, EEF_DYNAMIC_MAPPING_FOR__ITERABLE_EXPRESSION, EEF_DYNAMIC_MAPPING_FOR__ITERATOR, EEF_DYNAMIC_MAPPING_FOR_FEATURE_COUNT, EEF_DYNAMIC_MAPPING_IF, EEF_DYNAMIC_MAPPING_IF__PREDICATE_EXPRESSION, EEF_DYNAMIC_MAPPING_IF__WIDGET, EEF_DYNAMIC_MAPPING_IF_FEATURE_COUNT, EEF_FILL_LAYOUT_DESCRIPTION, EEF_FILL_LAYOUT_DESCRIPTION__ORIENTATION, EEF_FILL_LAYOUT_DESCRIPTION_FEATURE_COUNT, EEF_FILL_LAYOUT_ORIENTATION, EEF_GRID_LAYOUT_DESCRIPTION, EEF_GRID_LAYOUT_DESCRIPTION__MAKE_COLUMNS_WITH_EQUAL_WIDTH, EEF_GRID_LAYOUT_DESCRIPTION__NUMBER_OF_COLUMNS, EEF_GRID_LAYOUT_DESCRIPTION_FEATURE_COUNT, EEF_GROUP_CONDITIONAL_STYLE, EEF_GROUP_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_GROUP_CONDITIONAL_STYLE__STYLE, EEF_GROUP_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_GROUP_DESCRIPTION, EEF_GROUP_DESCRIPTION__CONDITIONAL_STYLES, EEF_GROUP_DESCRIPTION__CONTROLS, EEF_GROUP_DESCRIPTION__DOMAIN_CLASS, EEF_GROUP_DESCRIPTION__IDENTIFIER, EEF_GROUP_DESCRIPTION__LABEL_EXPRESSION, EEF_GROUP_DESCRIPTION__PRECONDITION_EXPRESSION, EEF_GROUP_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_GROUP_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION, EEF_GROUP_DESCRIPTION__SEMANTIC_VALIDATION_RULES, EEF_GROUP_DESCRIPTION__STYLE, EEF_GROUP_DESCRIPTION_FEATURE_COUNT, EEF_GROUP_STYLE, EEF_GROUP_STYLE__BACKGROUND_COLOR_EXPRESSION, EEF_GROUP_STYLE__BAR_STYLE, EEF_GROUP_STYLE__EXPANDED_BY_DEFAULT, EEF_GROUP_STYLE__FONT_NAME_EXPRESSION, EEF_GROUP_STYLE__FONT_SIZE_EXPRESSION, EEF_GROUP_STYLE__FOREGROUND_COLOR_EXPRESSION, EEF_GROUP_STYLE__TOGGLE_STYLE, EEF_GROUP_STYLE_FEATURE_COUNT, EEF_HYPERLINK_CONDITIONAL_STYLE, EEF_HYPERLINK_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_HYPERLINK_CONDITIONAL_STYLE__STYLE, EEF_HYPERLINK_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_HYPERLINK_DESCRIPTION, EEF_HYPERLINK_DESCRIPTION__ACTIONS, EEF_HYPERLINK_DESCRIPTION__CONDITIONAL_STYLES, EEF_HYPERLINK_DESCRIPTION__DISPLAY_EXPRESSION, EEF_HYPERLINK_DESCRIPTION__HELP_EXPRESSION, EEF_HYPERLINK_DESCRIPTION__IDENTIFIER, EEF_HYPERLINK_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_HYPERLINK_DESCRIPTION__LABEL_EXPRESSION, EEF_HYPERLINK_DESCRIPTION__ON_CLICK_EXPRESSION, EEF_HYPERLINK_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_HYPERLINK_DESCRIPTION__STYLE, EEF_HYPERLINK_DESCRIPTION__VALUE_EXPRESSION, EEF_HYPERLINK_DESCRIPTION_FEATURE_COUNT, EEF_HYPERLINK_STYLE, EEF_HYPERLINK_STYLE__BACKGROUND_COLOR_EXPRESSION, EEF_HYPERLINK_STYLE__FONT_NAME_EXPRESSION, EEF_HYPERLINK_STYLE__FONT_SIZE_EXPRESSION, EEF_HYPERLINK_STYLE__FONT_STYLE_EXPRESSION, EEF_HYPERLINK_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_HYPERLINK_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_HYPERLINK_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_HYPERLINK_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_HYPERLINK_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_HYPERLINK_STYLE_FEATURE_COUNT, EEF_LABEL_CONDITIONAL_STYLE, EEF_LABEL_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_LABEL_CONDITIONAL_STYLE__STYLE, EEF_LABEL_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_LABEL_DESCRIPTION, EEF_LABEL_DESCRIPTION__ACTIONS, EEF_LABEL_DESCRIPTION__CONDITIONAL_STYLES, EEF_LABEL_DESCRIPTION__DISPLAY_EXPRESSION, EEF_LABEL_DESCRIPTION__HELP_EXPRESSION, EEF_LABEL_DESCRIPTION__IDENTIFIER, EEF_LABEL_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_LABEL_DESCRIPTION__LABEL_EXPRESSION, EEF_LABEL_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_LABEL_DESCRIPTION__STYLE, EEF_LABEL_DESCRIPTION__VALUE_EXPRESSION, EEF_LABEL_DESCRIPTION_FEATURE_COUNT, EEF_LABEL_STYLE, EEF_LABEL_STYLE__BACKGROUND_COLOR_EXPRESSION, EEF_LABEL_STYLE__FONT_NAME_EXPRESSION, EEF_LABEL_STYLE__FONT_SIZE_EXPRESSION, EEF_LABEL_STYLE__FONT_STYLE_EXPRESSION, EEF_LABEL_STYLE__FOREGROUND_COLOR_EXPRESSION, EEF_LABEL_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_LABEL_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_LABEL_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_LABEL_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_LABEL_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_LABEL_STYLE_FEATURE_COUNT, EEF_LAYOUT_DESCRIPTION, EEF_LAYOUT_DESCRIPTION_FEATURE_COUNT, EEF_LIST_CONDITIONAL_STYLE, EEF_LIST_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_LIST_CONDITIONAL_STYLE__STYLE, EEF_LIST_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_LIST_DESCRIPTION, EEF_LIST_DESCRIPTION__ACTIONS, EEF_LIST_DESCRIPTION__CONDITIONAL_STYLES, EEF_LIST_DESCRIPTION__DISPLAY_EXPRESSION, EEF_LIST_DESCRIPTION__HELP_EXPRESSION, EEF_LIST_DESCRIPTION__IDENTIFIER, EEF_LIST_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_LIST_DESCRIPTION__LABEL_EXPRESSION, EEF_LIST_DESCRIPTION__ON_CLICK_EXPRESSION, EEF_LIST_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_LIST_DESCRIPTION__STYLE, EEF_LIST_DESCRIPTION__VALUE_EXPRESSION, EEF_LIST_DESCRIPTION_FEATURE_COUNT, EEF_LIST_STYLE, EEF_LIST_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_LIST_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_LIST_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_LIST_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_LIST_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_LIST_STYLE_FEATURE_COUNT, EEF_PAGE_DESCRIPTION, EEF_PAGE_DESCRIPTION__DOMAIN_CLASS, EEF_PAGE_DESCRIPTION__GROUPS, EEF_PAGE_DESCRIPTION__IDENTIFIER, EEF_PAGE_DESCRIPTION__LABEL_EXPRESSION, EEF_PAGE_DESCRIPTION__PRECONDITION_EXPRESSION, EEF_PAGE_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION, EEF_PAGE_DESCRIPTION__SEMANTIC_VALIDATION_RULES, EEF_PAGE_DESCRIPTION_FEATURE_COUNT, EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION, EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__AUDITS, EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__FIXES, EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION, EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__SEVERITY, EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__TARGETS, EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT, EEF_RADIO_CONDITIONAL_STYLE, EEF_RADIO_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_RADIO_CONDITIONAL_STYLE__STYLE, EEF_RADIO_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_RADIO_DESCRIPTION, EEF_RADIO_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION, EEF_RADIO_DESCRIPTION__CANDIDATES_EXPRESSION, EEF_RADIO_DESCRIPTION__CONDITIONAL_STYLES, EEF_RADIO_DESCRIPTION__EDIT_EXPRESSION, EEF_RADIO_DESCRIPTION__HELP_EXPRESSION, EEF_RADIO_DESCRIPTION__IDENTIFIER, EEF_RADIO_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_RADIO_DESCRIPTION__LABEL_EXPRESSION, EEF_RADIO_DESCRIPTION__NUMBER_OF_COLUMNS, EEF_RADIO_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_RADIO_DESCRIPTION__STYLE, EEF_RADIO_DESCRIPTION__VALUE_EXPRESSION, EEF_RADIO_DESCRIPTION_FEATURE_COUNT, EEF_RADIO_STYLE, EEF_RADIO_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_RADIO_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_RADIO_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_RADIO_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_RADIO_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_RADIO_STYLE_FEATURE_COUNT, EEF_RULE_AUDIT_DESCRIPTION, EEF_RULE_AUDIT_DESCRIPTION__AUDIT_EXPRESSION, EEF_RULE_AUDIT_DESCRIPTION_FEATURE_COUNT, EEF_SELECT_CONDITIONAL_STYLE, EEF_SELECT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_SELECT_CONDITIONAL_STYLE__STYLE, EEF_SELECT_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_SELECT_DESCRIPTION, EEF_SELECT_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION, EEF_SELECT_DESCRIPTION__CANDIDATES_EXPRESSION, EEF_SELECT_DESCRIPTION__CONDITIONAL_STYLES, EEF_SELECT_DESCRIPTION__EDIT_EXPRESSION, EEF_SELECT_DESCRIPTION__HELP_EXPRESSION, EEF_SELECT_DESCRIPTION__IDENTIFIER, EEF_SELECT_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_SELECT_DESCRIPTION__LABEL_EXPRESSION, EEF_SELECT_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_SELECT_DESCRIPTION__STYLE, EEF_SELECT_DESCRIPTION__VALUE_EXPRESSION, EEF_SELECT_DESCRIPTION_FEATURE_COUNT, EEF_SELECT_STYLE, EEF_SELECT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_SELECT_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_SELECT_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_SELECT_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_SELECT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_SELECT_STYLE_FEATURE_COUNT, EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION, EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__AUDITS, EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__FIXES, EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION, EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__SEVERITY, EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__TARGET_CLASS, EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT, EEF_TEXT_CONDITIONAL_STYLE, EEF_TEXT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION, EEF_TEXT_CONDITIONAL_STYLE__STYLE, EEF_TEXT_CONDITIONAL_STYLE_FEATURE_COUNT, EEF_TEXT_DESCRIPTION, EEF_TEXT_DESCRIPTION__CONDITIONAL_STYLES, EEF_TEXT_DESCRIPTION__EDIT_EXPRESSION, EEF_TEXT_DESCRIPTION__HELP_EXPRESSION, EEF_TEXT_DESCRIPTION__IDENTIFIER, EEF_TEXT_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_TEXT_DESCRIPTION__LABEL_EXPRESSION, EEF_TEXT_DESCRIPTION__LINE_COUNT, EEF_TEXT_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_TEXT_DESCRIPTION__STYLE, EEF_TEXT_DESCRIPTION__VALUE_EXPRESSION, EEF_TEXT_DESCRIPTION_FEATURE_COUNT, EEF_TEXT_STYLE, EEF_TEXT_STYLE__BACKGROUND_COLOR_EXPRESSION, EEF_TEXT_STYLE__FONT_NAME_EXPRESSION, EEF_TEXT_STYLE__FONT_SIZE_EXPRESSION, EEF_TEXT_STYLE__FONT_STYLE_EXPRESSION, EEF_TEXT_STYLE__FOREGROUND_COLOR_EXPRESSION, EEF_TEXT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_TEXT_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_TEXT_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_TEXT_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_TEXT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_TEXT_STYLE_FEATURE_COUNT, EEF_TITLE_BAR_STYLE, EEF_TOGGLE_STYLE, EEF_VALIDATION_FIX_DESCRIPTION, EEF_VALIDATION_FIX_DESCRIPTION__FIX_EXPRESSION, EEF_VALIDATION_FIX_DESCRIPTION__NAME, EEF_VALIDATION_FIX_DESCRIPTION_FEATURE_COUNT, EEF_VALIDATION_RULE_DESCRIPTION, EEF_VALIDATION_RULE_DESCRIPTION__AUDITS, EEF_VALIDATION_RULE_DESCRIPTION__FIXES, EEF_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION, EEF_VALIDATION_RULE_DESCRIPTION__SEVERITY, EEF_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT, EEF_VALIDATION_SEVERITY_DESCRIPTION, EEF_VIEW_DESCRIPTION, EEF_VIEW_DESCRIPTION__EPACKAGES, EEF_VIEW_DESCRIPTION__GROUPS, EEF_VIEW_DESCRIPTION__IDENTIFIER, EEF_VIEW_DESCRIPTION__IMAGE_EXPRESSION, EEF_VIEW_DESCRIPTION__LABEL_EXPRESSION, EEF_VIEW_DESCRIPTION__PAGES, EEF_VIEW_DESCRIPTION_FEATURE_COUNT, EEF_WIDGET_ACTION, EEF_WIDGET_ACTION__ACTION_EXPRESSION, EEF_WIDGET_ACTION__LABEL_EXPRESSION, EEF_WIDGET_ACTION_FEATURE_COUNT, EEF_WIDGET_DESCRIPTION, EEF_WIDGET_DESCRIPTION__HELP_EXPRESSION, EEF_WIDGET_DESCRIPTION__IDENTIFIER, EEF_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION, EEF_WIDGET_DESCRIPTION__LABEL_EXPRESSION, EEF_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES, EEF_WIDGET_DESCRIPTION_FEATURE_COUNT, EEF_WIDGET_STYLE, EEF_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION, EEF_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION, EEF_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION, EEF_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION, EEF_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION, EEF_WIDGET_STYLE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EEnum` `getEEF_FILL_LAYOUT_ORIENTATION()`
`org.eclipse.emf.ecore.EEnum` `getEEF_TITLE_BAR_STYLE()`
`org.eclipse.emf.ecore.EEnum` `getEEF_TOGGLE_STYLE()`
`org.eclipse.emf.ecore.EEnum` `getEEF_VALIDATION_SEVERITY_DESCRIPTION()`
`org.eclipse.emf.ecore.EReference` `getEEFButtonConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFButtonConditionalStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFButtonDescription_ButtonLabelExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFButtonDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFButtonDescription_PushExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFButtonDescription_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFButtonDescription()`
`org.eclipse.emf.ecore.EClass` `getEEFButtonStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFCheckboxConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFCheckboxConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFCheckboxDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFCheckboxDescription_EditExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFCheckboxDescription_Style()`
`org.eclipse.emf.ecore.EAttribute` `getEEFCheckboxDescription_ValueExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFCheckboxDescription()`
`org.eclipse.emf.ecore.EClass` `getEEFCheckboxStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFConditionalStyle_PreconditionExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFContainerDescription_Controls()`
`org.eclipse.emf.ecore.EReference` `getEEFContainerDescription_Layout()`
`org.eclipse.emf.ecore.EClass` `getEEFContainerDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFControlDescription_Identifier()`
`org.eclipse.emf.ecore.EClass` `getEEFControlDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFCustomExpression_CustomExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFCustomExpression_Identifier()`
`org.eclipse.emf.ecore.EClass` `getEEFCustomExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFCustomWidgetConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetDescription_CustomExpressions()`
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetDescription_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFCustomWidgetDescription()`
`org.eclipse.emf.ecore.EClass` `getEEFCustomWidgetStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFDynamicMappingFor_Ifs()`
`org.eclipse.emf.ecore.EAttribute` `getEEFDynamicMappingFor_IterableExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFDynamicMappingFor_Iterator()`
`org.eclipse.emf.ecore.EClass` `getEEFDynamicMappingFor()`
`org.eclipse.emf.ecore.EAttribute` `getEEFDynamicMappingIf_PredicateExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFDynamicMappingIf_Widget()`
`org.eclipse.emf.ecore.EClass` `getEEFDynamicMappingIf()`
`EefFactory` `getEefFactory()`
`org.eclipse.emf.ecore.EAttribute` `getEEFFillLayoutDescription_Orientation()`
`org.eclipse.emf.ecore.EClass` `getEEFFillLayoutDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGridLayoutDescription_MakeColumnsWithEqualWidth()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGridLayoutDescription_NumberOfColumns()`
`org.eclipse.emf.ecore.EClass` `getEEFGridLayoutDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFGroupConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFGroupConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_Controls()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_DomainClass()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_Identifier()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_LabelExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_PreconditionExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_PropertyValidationRules()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_SemanticCandidateExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_SemanticValidationRules()`
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFGroupDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_BackgroundColorExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_BarStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_ExpandedByDefault()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_FontNameExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_FontSizeExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_ForegroundColorExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_ToggleStyle()`
`org.eclipse.emf.ecore.EClass` `getEEFGroupStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFHyperlinkConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkDescription_Actions()`
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkDescription_DisplayExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkDescription_OnClickExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkDescription_Style()`
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkDescription_ValueExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFHyperlinkDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_BackgroundColorExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_FontNameExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_FontSizeExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_FontStyleExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFHyperlinkStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFLabelConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFLabelConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFLabelDescription_Actions()`
`org.eclipse.emf.ecore.EReference` `getEEFLabelDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelDescription_DisplayExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFLabelDescription_Style()`
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelDescription_ValueExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFLabelDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_BackgroundColorExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_FontNameExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_FontSizeExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_FontStyleExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_ForegroundColorExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFLabelStyle()`
`org.eclipse.emf.ecore.EClass` `getEEFLayoutDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFListConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFListConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFListDescription_Actions()`
`org.eclipse.emf.ecore.EReference` `getEEFListDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFListDescription_DisplayExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFListDescription_OnClickExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFListDescription_Style()`
`org.eclipse.emf.ecore.EAttribute` `getEEFListDescription_ValueExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFListDescription()`
`org.eclipse.emf.ecore.EClass` `getEEFListStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_DomainClass()`
`org.eclipse.emf.ecore.EReference` `getEEFPageDescription_Groups()`
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_Identifier()`
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_LabelExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_PreconditionExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_SemanticCandidateExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFPageDescription_SemanticValidationRules()`
`org.eclipse.emf.ecore.EClass` `getEEFPageDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFPropertyValidationRuleDescription_Targets()`
`org.eclipse.emf.ecore.EClass` `getEEFPropertyValidationRuleDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFRadioConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFRadioConditionalStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_CandidateDisplayExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_CandidatesExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFRadioDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_EditExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_NumberOfColumns()`
`org.eclipse.emf.ecore.EReference` `getEEFRadioDescription_Style()`
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_ValueExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFRadioDescription()`
`org.eclipse.emf.ecore.EClass` `getEEFRadioStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFRuleAuditDescription_AuditExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFRuleAuditDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFSelectConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFSelectConditionalStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_CandidateDisplayExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_CandidatesExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFSelectDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_EditExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFSelectDescription_Style()`
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_ValueExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFSelectDescription()`
`org.eclipse.emf.ecore.EClass` `getEEFSelectStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFSemanticValidationRuleDescription_TargetClass()`
`org.eclipse.emf.ecore.EClass` `getEEFSemanticValidationRuleDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFTextConditionalStyle_Style()`
`org.eclipse.emf.ecore.EClass` `getEEFTextConditionalStyle()`
`org.eclipse.emf.ecore.EReference` `getEEFTextDescription_ConditionalStyles()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextDescription_EditExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextDescription_LineCount()`
`org.eclipse.emf.ecore.EReference` `getEEFTextDescription_Style()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextDescription_ValueExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFTextDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_BackgroundColorExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_FontNameExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_FontSizeExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_FontStyleExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_ForegroundColorExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFTextStyle()`
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationFixDescription_FixExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationFixDescription_Name()`
`org.eclipse.emf.ecore.EClass` `getEEFValidationFixDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFValidationRuleDescription_Audits()`
`org.eclipse.emf.ecore.EReference` `getEEFValidationRuleDescription_Fixes()`
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationRuleDescription_MessageExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationRuleDescription_Severity()`
`org.eclipse.emf.ecore.EClass` `getEEFValidationRuleDescription()`
`org.eclipse.emf.ecore.EReference` `getEEFViewDescription_EPackages()`
`org.eclipse.emf.ecore.EReference` `getEEFViewDescription_Groups()`
`org.eclipse.emf.ecore.EAttribute` `getEEFViewDescription_Identifier()`
`org.eclipse.emf.ecore.EAttribute` `getEEFViewDescription_ImageExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFViewDescription_LabelExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFViewDescription_Pages()`
`org.eclipse.emf.ecore.EClass` `getEEFViewDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetAction_ActionExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetAction_LabelExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFWidgetAction()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetDescription_HelpExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetDescription_IsEnabledExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetDescription_LabelExpression()`
`org.eclipse.emf.ecore.EReference` `getEEFWidgetDescription_PropertyValidationRules()`
`org.eclipse.emf.ecore.EClass` `getEEFWidgetDescription()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelBackgroundColorExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelFontNameExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelFontSizeExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelFontStyleExpression()`
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelForegroundColorExpression()`
`org.eclipse.emf.ecore.EClass` `getEEFWidgetStyle()`
`static EefPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen, setName`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### init

    public static EefPackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `EefPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `EefPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getEEFViewDescription

    public org.eclipse.emf.ecore.EClass getEEFViewDescription()

Specified by:
  `getEEFViewDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF View Description'.
See Also:
  `EEFViewDescription`

#### getEEFViewDescription_Identifier

    public org.eclipse.emf.ecore.EAttribute getEEFViewDescription_Identifier()

Specified by:
  `getEEFViewDescription_Identifier` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFViewDescription.getIdentifier()`, `EefPackage.getEEFViewDescription()`

#### getEEFViewDescription_LabelExpression

    public org.eclipse.emf.ecore.EAttribute getEEFViewDescription_LabelExpression()

Specified by:
  `getEEFViewDescription_LabelExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFViewDescription.getLabelExpression()`, `EefPackage.getEEFViewDescription()`

#### getEEFViewDescription_ImageExpression

    public org.eclipse.emf.ecore.EAttribute getEEFViewDescription_ImageExpression()

Specified by:
  `getEEFViewDescription_ImageExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Image Expression'.
See Also:
  `EEFViewDescription.getImageExpression()`, `EefPackage.getEEFViewDescription()`

#### getEEFViewDescription_Groups

    public org.eclipse.emf.ecore.EReference getEEFViewDescription_Groups()

Specified by:
  `getEEFViewDescription_Groups` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Groups'.
See Also:
  `EEFViewDescription.getGroups()`, `EefPackage.getEEFViewDescription()`

#### getEEFViewDescription_Pages

    public org.eclipse.emf.ecore.EReference getEEFViewDescription_Pages()

Specified by:
  `getEEFViewDescription_Pages` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Pages'.
See Also:
  `EEFViewDescription.getPages()`, `EefPackage.getEEFViewDescription()`

#### getEEFViewDescription_EPackages

    public org.eclipse.emf.ecore.EReference getEEFViewDescription_EPackages()

Specified by:
  `getEEFViewDescription_EPackages` in interface `EefPackage`
Returns:
  the meta object for the reference list 'EPackages'.
See Also:
  `EEFViewDescription.getEPackages()`, `EefPackage.getEEFViewDescription()`

#### getEEFPageDescription

    public org.eclipse.emf.ecore.EClass getEEFPageDescription()

Specified by:
  `getEEFPageDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Page Description'.
See Also:
  `EEFPageDescription`

#### getEEFPageDescription_Identifier

    public org.eclipse.emf.ecore.EAttribute getEEFPageDescription_Identifier()

Specified by:
  `getEEFPageDescription_Identifier` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFPageDescription.getIdentifier()`, `EefPackage.getEEFPageDescription()`

#### getEEFPageDescription_LabelExpression

    public org.eclipse.emf.ecore.EAttribute getEEFPageDescription_LabelExpression()

Specified by:
  `getEEFPageDescription_LabelExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFPageDescription.getLabelExpression()`, `EefPackage.getEEFPageDescription()`

#### getEEFPageDescription_DomainClass

    public org.eclipse.emf.ecore.EAttribute getEEFPageDescription_DomainClass()

Specified by:
  `getEEFPageDescription_DomainClass` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Domain Class'.
See Also:
  `EEFPageDescription.getDomainClass()`, `EefPackage.getEEFPageDescription()`

#### getEEFPageDescription_SemanticCandidateExpression

    public org.eclipse.emf.ecore.EAttribute getEEFPageDescription_SemanticCandidateExpression()

Specified by:
  `getEEFPageDescription_SemanticCandidateExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Semantic Candidate Expression'.
See Also:
  `EEFPageDescription.getSemanticCandidateExpression()`, `EefPackage.getEEFPageDescription()`

#### getEEFPageDescription_PreconditionExpression

    public org.eclipse.emf.ecore.EAttribute getEEFPageDescription_PreconditionExpression()

Specified by:
  `getEEFPageDescription_PreconditionExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Precondition Expression'.
See Also:
  `EEFPageDescription.getPreconditionExpression()`, `EefPackage.getEEFPageDescription()`

#### getEEFPageDescription_Groups

    public org.eclipse.emf.ecore.EReference getEEFPageDescription_Groups()

Specified by:
  `getEEFPageDescription_Groups` in interface `EefPackage`
Returns:
  the meta object for the reference list 'Groups'.
See Also:
  `EEFPageDescription.getGroups()`, `EefPackage.getEEFPageDescription()`

#### getEEFPageDescription_SemanticValidationRules

    public org.eclipse.emf.ecore.EReference getEEFPageDescription_SemanticValidationRules()

Specified by:
  `getEEFPageDescription_SemanticValidationRules` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Semantic Validation Rules'.
See Also:
  `EEFPageDescription.getSemanticValidationRules()`, `EefPackage.getEEFPageDescription()`

#### getEEFValidationRuleDescription

    public org.eclipse.emf.ecore.EClass getEEFValidationRuleDescription()

Specified by:
  `getEEFValidationRuleDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Validation Rule Description'.
See Also:
  `EEFValidationRuleDescription`

#### getEEFValidationRuleDescription_Severity

    public org.eclipse.emf.ecore.EAttribute getEEFValidationRuleDescription_Severity()

Specified by:
  `getEEFValidationRuleDescription_Severity` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Severity'.
See Also:
  `EEFValidationRuleDescription.getSeverity()`, `EefPackage.getEEFValidationRuleDescription()`

#### getEEFValidationRuleDescription_MessageExpression

    public org.eclipse.emf.ecore.EAttribute getEEFValidationRuleDescription_MessageExpression()

Specified by:
  `getEEFValidationRuleDescription_MessageExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Message Expression'.
See Also:
  `EEFValidationRuleDescription.getMessageExpression()`, `EefPackage.getEEFValidationRuleDescription()`

#### getEEFValidationRuleDescription_Audits

    public org.eclipse.emf.ecore.EReference getEEFValidationRuleDescription_Audits()

Specified by:
  `getEEFValidationRuleDescription_Audits` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Audits'.
See Also:
  `EEFValidationRuleDescription.getAudits()`, `EefPackage.getEEFValidationRuleDescription()`

#### getEEFValidationRuleDescription_Fixes

    public org.eclipse.emf.ecore.EReference getEEFValidationRuleDescription_Fixes()

Specified by:
  `getEEFValidationRuleDescription_Fixes` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Fixes'.
See Also:
  `EEFValidationRuleDescription.getFixes()`, `EefPackage.getEEFValidationRuleDescription()`

#### getEEFRuleAuditDescription

    public org.eclipse.emf.ecore.EClass getEEFRuleAuditDescription()

Specified by:
  `getEEFRuleAuditDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Rule Audit Description'.
See Also:
  `EEFRuleAuditDescription`

#### getEEFRuleAuditDescription_AuditExpression

    public org.eclipse.emf.ecore.EAttribute getEEFRuleAuditDescription_AuditExpression()

Specified by:
  `getEEFRuleAuditDescription_AuditExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Audit Expression'.
See Also:
  `EEFRuleAuditDescription.getAuditExpression()`, `EefPackage.getEEFRuleAuditDescription()`

#### getEEFValidationFixDescription

    public org.eclipse.emf.ecore.EClass getEEFValidationFixDescription()

Specified by:
  `getEEFValidationFixDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Validation Fix Description'.
See Also:
  `EEFValidationFixDescription`

#### getEEFValidationFixDescription_Name

    public org.eclipse.emf.ecore.EAttribute getEEFValidationFixDescription_Name()

Specified by:
  `getEEFValidationFixDescription_Name` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  `EEFValidationFixDescription.getName()`, `EefPackage.getEEFValidationFixDescription()`

#### getEEFValidationFixDescription_FixExpression

    public org.eclipse.emf.ecore.EAttribute getEEFValidationFixDescription_FixExpression()

Specified by:
  `getEEFValidationFixDescription_FixExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Fix Expression'.
See Also:
  `EEFValidationFixDescription.getFixExpression()`, `EefPackage.getEEFValidationFixDescription()`

#### getEEFPropertyValidationRuleDescription

    public org.eclipse.emf.ecore.EClass getEEFPropertyValidationRuleDescription()

Specified by:
  `getEEFPropertyValidationRuleDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Property Validation Rule Description'.
See Also:
  `EEFPropertyValidationRuleDescription`

#### getEEFPropertyValidationRuleDescription_Targets

    public org.eclipse.emf.ecore.EReference getEEFPropertyValidationRuleDescription_Targets()

Specified by:
  `getEEFPropertyValidationRuleDescription_Targets` in interface `EefPackage`
Returns:
  the meta object for the reference list 'Targets'.
See Also:
  `EEFPropertyValidationRuleDescription.getTargets()`, `EefPackage.getEEFPropertyValidationRuleDescription()`

#### getEEFSemanticValidationRuleDescription

    public org.eclipse.emf.ecore.EClass getEEFSemanticValidationRuleDescription()

Specified by:
  `getEEFSemanticValidationRuleDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Semantic Validation Rule Description'.
See Also:
  `EEFSemanticValidationRuleDescription`

#### getEEFSemanticValidationRuleDescription_TargetClass

    public org.eclipse.emf.ecore.EAttribute getEEFSemanticValidationRuleDescription_TargetClass()

Specified by:
  `getEEFSemanticValidationRuleDescription_TargetClass` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Target Class'.
See Also:
  `EEFSemanticValidationRuleDescription.getTargetClass()`, `EefPackage.getEEFSemanticValidationRuleDescription()`

#### getEEFGroupDescription

    public org.eclipse.emf.ecore.EClass getEEFGroupDescription()

Specified by:
  `getEEFGroupDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Group Description'.
See Also:
  `EEFGroupDescription`

#### getEEFGroupDescription_Identifier

    public org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_Identifier()

Specified by:
  `getEEFGroupDescription_Identifier` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFGroupDescription.getIdentifier()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_LabelExpression

    public org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_LabelExpression()

Specified by:
  `getEEFGroupDescription_LabelExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFGroupDescription.getLabelExpression()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_DomainClass

    public org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_DomainClass()

Specified by:
  `getEEFGroupDescription_DomainClass` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Domain Class'.
See Also:
  `EEFGroupDescription.getDomainClass()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_SemanticCandidateExpression

    public org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_SemanticCandidateExpression()

Specified by:
  `getEEFGroupDescription_SemanticCandidateExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Semantic Candidate Expression'.
See Also:
  `EEFGroupDescription.getSemanticCandidateExpression()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_PreconditionExpression

    public org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_PreconditionExpression()

Specified by:
  `getEEFGroupDescription_PreconditionExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Precondition Expression'.
See Also:
  `EEFGroupDescription.getPreconditionExpression()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_Controls

    public org.eclipse.emf.ecore.EReference getEEFGroupDescription_Controls()

Specified by:
  `getEEFGroupDescription_Controls` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Controls'.
See Also:
  `EEFGroupDescription.getControls()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_SemanticValidationRules

    public org.eclipse.emf.ecore.EReference getEEFGroupDescription_SemanticValidationRules()

Specified by:
  `getEEFGroupDescription_SemanticValidationRules` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Semantic Validation Rules'.
See Also:
  `EEFGroupDescription.getSemanticValidationRules()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_PropertyValidationRules

    public org.eclipse.emf.ecore.EReference getEEFGroupDescription_PropertyValidationRules()

Specified by:
  `getEEFGroupDescription_PropertyValidationRules` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Property Validation Rules'.
See Also:
  `EEFGroupDescription.getPropertyValidationRules()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFGroupDescription_Style()

Specified by:
  `getEEFGroupDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFGroupDescription.getStyle()`, `EefPackage.getEEFGroupDescription()`

#### getEEFGroupDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFGroupDescription_ConditionalStyles()

Specified by:
  `getEEFGroupDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFGroupDescription.getConditionalStyles()`, `EefPackage.getEEFGroupDescription()`

#### getEEFControlDescription

    public org.eclipse.emf.ecore.EClass getEEFControlDescription()

Specified by:
  `getEEFControlDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Control Description'.
See Also:
  `EEFControlDescription`

#### getEEFControlDescription_Identifier

    public org.eclipse.emf.ecore.EAttribute getEEFControlDescription_Identifier()

Specified by:
  `getEEFControlDescription_Identifier` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFControlDescription.getIdentifier()`, `EefPackage.getEEFControlDescription()`

#### getEEFContainerDescription

    public org.eclipse.emf.ecore.EClass getEEFContainerDescription()

Specified by:
  `getEEFContainerDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Container Description'.
See Also:
  `EEFContainerDescription`

#### getEEFContainerDescription_Controls

    public org.eclipse.emf.ecore.EReference getEEFContainerDescription_Controls()

Specified by:
  `getEEFContainerDescription_Controls` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Controls'.
See Also:
  `EEFContainerDescription.getControls()`, `EefPackage.getEEFContainerDescription()`

#### getEEFContainerDescription_Layout

    public org.eclipse.emf.ecore.EReference getEEFContainerDescription_Layout()

Specified by:
  `getEEFContainerDescription_Layout` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Layout'.
See Also:
  `EEFContainerDescription.getLayout()`, `EefPackage.getEEFContainerDescription()`

#### getEEFLayoutDescription

    public org.eclipse.emf.ecore.EClass getEEFLayoutDescription()

Specified by:
  `getEEFLayoutDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Layout Description'.
See Also:
  `EEFLayoutDescription`

#### getEEFFillLayoutDescription

    public org.eclipse.emf.ecore.EClass getEEFFillLayoutDescription()

Specified by:
  `getEEFFillLayoutDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Fill Layout Description'.
See Also:
  `EEFFillLayoutDescription`

#### getEEFFillLayoutDescription_Orientation

    public org.eclipse.emf.ecore.EAttribute getEEFFillLayoutDescription_Orientation()

Specified by:
  `getEEFFillLayoutDescription_Orientation` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  `EEFFillLayoutDescription.getOrientation()`, `EefPackage.getEEFFillLayoutDescription()`

#### getEEFGridLayoutDescription

    public org.eclipse.emf.ecore.EClass getEEFGridLayoutDescription()

Specified by:
  `getEEFGridLayoutDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Grid Layout Description'.
See Also:
  `EEFGridLayoutDescription`

#### getEEFGridLayoutDescription_NumberOfColumns

    public org.eclipse.emf.ecore.EAttribute getEEFGridLayoutDescription_NumberOfColumns()

Specified by:
  `getEEFGridLayoutDescription_NumberOfColumns` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Number Of Columns'.
See Also:
  `EEFGridLayoutDescription.getNumberOfColumns()`, `EefPackage.getEEFGridLayoutDescription()`

#### getEEFGridLayoutDescription_MakeColumnsWithEqualWidth

    public org.eclipse.emf.ecore.EAttribute getEEFGridLayoutDescription_MakeColumnsWithEqualWidth()

Specified by:
  `getEEFGridLayoutDescription_MakeColumnsWithEqualWidth` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Make Columns With Equal Width'.
See Also:
  `EEFGridLayoutDescription.isMakeColumnsWithEqualWidth()`, `EefPackage.getEEFGridLayoutDescription()`

#### getEEFWidgetDescription

    public org.eclipse.emf.ecore.EClass getEEFWidgetDescription()

Specified by:
  `getEEFWidgetDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Widget Description'.
See Also:
  `EEFWidgetDescription`

#### getEEFWidgetDescription_LabelExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetDescription_LabelExpression()

Specified by:
  `getEEFWidgetDescription_LabelExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFWidgetDescription.getLabelExpression()`, `EefPackage.getEEFWidgetDescription()`

#### getEEFWidgetDescription_HelpExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetDescription_HelpExpression()

Specified by:
  `getEEFWidgetDescription_HelpExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Help Expression'.
See Also:
  `EEFWidgetDescription.getHelpExpression()`, `EefPackage.getEEFWidgetDescription()`

#### getEEFWidgetDescription_IsEnabledExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetDescription_IsEnabledExpression()

Specified by:
  `getEEFWidgetDescription_IsEnabledExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Is Enabled Expression'.
See Also:
  `EEFWidgetDescription.getIsEnabledExpression()`, `EefPackage.getEEFWidgetDescription()`

#### getEEFWidgetDescription_PropertyValidationRules

    public org.eclipse.emf.ecore.EReference getEEFWidgetDescription_PropertyValidationRules()

Specified by:
  `getEEFWidgetDescription_PropertyValidationRules` in interface `EefPackage`
Returns:
  the meta object for the reference list 'Property Validation Rules'.
See Also:
  `EEFWidgetDescription.getPropertyValidationRules()`, `EefPackage.getEEFWidgetDescription()`

#### getEEFTextDescription

    public org.eclipse.emf.ecore.EClass getEEFTextDescription()

Specified by:
  `getEEFTextDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Text Description'.
See Also:
  `EEFTextDescription`

#### getEEFTextDescription_ValueExpression

    public org.eclipse.emf.ecore.EAttribute getEEFTextDescription_ValueExpression()

Specified by:
  `getEEFTextDescription_ValueExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFTextDescription.getValueExpression()`, `EefPackage.getEEFTextDescription()`

#### getEEFTextDescription_EditExpression

    public org.eclipse.emf.ecore.EAttribute getEEFTextDescription_EditExpression()

Specified by:
  `getEEFTextDescription_EditExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFTextDescription.getEditExpression()`, `EefPackage.getEEFTextDescription()`

#### getEEFTextDescription_LineCount

    public org.eclipse.emf.ecore.EAttribute getEEFTextDescription_LineCount()

Specified by:
  `getEEFTextDescription_LineCount` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Line Count'.
See Also:
  `EEFTextDescription.getLineCount()`, `EefPackage.getEEFTextDescription()`

#### getEEFTextDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFTextDescription_Style()

Specified by:
  `getEEFTextDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFTextDescription.getStyle()`, `EefPackage.getEEFTextDescription()`

#### getEEFTextDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFTextDescription_ConditionalStyles()

Specified by:
  `getEEFTextDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFTextDescription.getConditionalStyles()`, `EefPackage.getEEFTextDescription()`

#### getEEFLabelDescription

    public org.eclipse.emf.ecore.EClass getEEFLabelDescription()

Specified by:
  `getEEFLabelDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Label Description'.
See Also:
  `EEFLabelDescription`

#### getEEFLabelDescription_ValueExpression

    public org.eclipse.emf.ecore.EAttribute getEEFLabelDescription_ValueExpression()

Specified by:
  `getEEFLabelDescription_ValueExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFLabelDescription.getValueExpression()`, `EefPackage.getEEFLabelDescription()`

#### getEEFLabelDescription_DisplayExpression

    public org.eclipse.emf.ecore.EAttribute getEEFLabelDescription_DisplayExpression()

Specified by:
  `getEEFLabelDescription_DisplayExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Display Expression'.
See Also:
  `EEFLabelDescription.getDisplayExpression()`, `EefPackage.getEEFLabelDescription()`

#### getEEFLabelDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFLabelDescription_Style()

Specified by:
  `getEEFLabelDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFLabelDescription.getStyle()`, `EefPackage.getEEFLabelDescription()`

#### getEEFLabelDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFLabelDescription_ConditionalStyles()

Specified by:
  `getEEFLabelDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFLabelDescription.getConditionalStyles()`, `EefPackage.getEEFLabelDescription()`

#### getEEFLabelDescription_Actions

    public org.eclipse.emf.ecore.EReference getEEFLabelDescription_Actions()

Specified by:
  `getEEFLabelDescription_Actions` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFLabelDescription.getActions()`, `EefPackage.getEEFLabelDescription()`

#### getEEFButtonDescription

    public org.eclipse.emf.ecore.EClass getEEFButtonDescription()

Specified by:
  `getEEFButtonDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Button Description'.
See Also:
  `EEFButtonDescription`

#### getEEFButtonDescription_ButtonLabelExpression

    public org.eclipse.emf.ecore.EAttribute getEEFButtonDescription_ButtonLabelExpression()

Specified by:
  `getEEFButtonDescription_ButtonLabelExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Button Label Expression'.
See Also:
  `EEFButtonDescription.getButtonLabelExpression()`, `EefPackage.getEEFButtonDescription()`

#### getEEFButtonDescription_PushExpression

    public org.eclipse.emf.ecore.EAttribute getEEFButtonDescription_PushExpression()

Specified by:
  `getEEFButtonDescription_PushExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Push Expression'.
See Also:
  `EEFButtonDescription.getPushExpression()`, `EefPackage.getEEFButtonDescription()`

#### getEEFButtonDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFButtonDescription_Style()

Specified by:
  `getEEFButtonDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFButtonDescription.getStyle()`, `EefPackage.getEEFButtonDescription()`

#### getEEFButtonDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFButtonDescription_ConditionalStyles()

Specified by:
  `getEEFButtonDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFButtonDescription.getConditionalStyles()`, `EefPackage.getEEFButtonDescription()`

#### getEEFCheckboxDescription

    public org.eclipse.emf.ecore.EClass getEEFCheckboxDescription()

Specified by:
  `getEEFCheckboxDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Checkbox Description'.
See Also:
  `EEFCheckboxDescription`

#### getEEFCheckboxDescription_ValueExpression

    public org.eclipse.emf.ecore.EAttribute getEEFCheckboxDescription_ValueExpression()

Specified by:
  `getEEFCheckboxDescription_ValueExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFCheckboxDescription.getValueExpression()`, `EefPackage.getEEFCheckboxDescription()`

#### getEEFCheckboxDescription_EditExpression

    public org.eclipse.emf.ecore.EAttribute getEEFCheckboxDescription_EditExpression()

Specified by:
  `getEEFCheckboxDescription_EditExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFCheckboxDescription.getEditExpression()`, `EefPackage.getEEFCheckboxDescription()`

#### getEEFCheckboxDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFCheckboxDescription_Style()

Specified by:
  `getEEFCheckboxDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCheckboxDescription.getStyle()`, `EefPackage.getEEFCheckboxDescription()`

#### getEEFCheckboxDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFCheckboxDescription_ConditionalStyles()

Specified by:
  `getEEFCheckboxDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFCheckboxDescription.getConditionalStyles()`, `EefPackage.getEEFCheckboxDescription()`

#### getEEFSelectDescription

    public org.eclipse.emf.ecore.EClass getEEFSelectDescription()

Specified by:
  `getEEFSelectDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Select Description'.
See Also:
  `EEFSelectDescription`

#### getEEFSelectDescription_ValueExpression

    public org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_ValueExpression()

Specified by:
  `getEEFSelectDescription_ValueExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFSelectDescription.getValueExpression()`, `EefPackage.getEEFSelectDescription()`

#### getEEFSelectDescription_EditExpression

    public org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_EditExpression()

Specified by:
  `getEEFSelectDescription_EditExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFSelectDescription.getEditExpression()`, `EefPackage.getEEFSelectDescription()`

#### getEEFSelectDescription_CandidatesExpression

    public org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_CandidatesExpression()

Specified by:
  `getEEFSelectDescription_CandidatesExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Candidates Expression'.
See Also:
  `EEFSelectDescription.getCandidatesExpression()`, `EefPackage.getEEFSelectDescription()`

#### getEEFSelectDescription_CandidateDisplayExpression

    public org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_CandidateDisplayExpression()

Specified by:
  `getEEFSelectDescription_CandidateDisplayExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Candidate Display Expression'.
See Also:
  `EEFSelectDescription.getCandidateDisplayExpression()`, `EefPackage.getEEFSelectDescription()`

#### getEEFSelectDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFSelectDescription_Style()

Specified by:
  `getEEFSelectDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFSelectDescription.getStyle()`, `EefPackage.getEEFSelectDescription()`

#### getEEFSelectDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFSelectDescription_ConditionalStyles()

Specified by:
  `getEEFSelectDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFSelectDescription.getConditionalStyles()`, `EefPackage.getEEFSelectDescription()`

#### getEEFRadioDescription

    public org.eclipse.emf.ecore.EClass getEEFRadioDescription()

Specified by:
  `getEEFRadioDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Radio Description'.
See Also:
  `EEFRadioDescription`

#### getEEFRadioDescription_ValueExpression

    public org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_ValueExpression()

Specified by:
  `getEEFRadioDescription_ValueExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFRadioDescription.getValueExpression()`, `EefPackage.getEEFRadioDescription()`

#### getEEFRadioDescription_EditExpression

    public org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_EditExpression()

Specified by:
  `getEEFRadioDescription_EditExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFRadioDescription.getEditExpression()`, `EefPackage.getEEFRadioDescription()`

#### getEEFRadioDescription_CandidatesExpression

    public org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_CandidatesExpression()

Specified by:
  `getEEFRadioDescription_CandidatesExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Candidates Expression'.
See Also:
  `EEFRadioDescription.getCandidatesExpression()`, `EefPackage.getEEFRadioDescription()`

#### getEEFRadioDescription_CandidateDisplayExpression

    public org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_CandidateDisplayExpression()

Specified by:
  `getEEFRadioDescription_CandidateDisplayExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Candidate Display Expression'.
See Also:
  `EEFRadioDescription.getCandidateDisplayExpression()`, `EefPackage.getEEFRadioDescription()`

#### getEEFRadioDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFRadioDescription_Style()

Specified by:
  `getEEFRadioDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFRadioDescription.getStyle()`, `EefPackage.getEEFRadioDescription()`

#### getEEFRadioDescription_NumberOfColumns

    public org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_NumberOfColumns()

Specified by:
  `getEEFRadioDescription_NumberOfColumns` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Number Of Columns'.
See Also:
  `EEFRadioDescription.getNumberOfColumns()`, `EefPackage.getEEFRadioDescription()`

#### getEEFRadioDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFRadioDescription_ConditionalStyles()

Specified by:
  `getEEFRadioDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFRadioDescription.getConditionalStyles()`, `EefPackage.getEEFRadioDescription()`

#### getEEFHyperlinkDescription

    public org.eclipse.emf.ecore.EClass getEEFHyperlinkDescription()

Specified by:
  `getEEFHyperlinkDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Hyperlink Description'.
See Also:
  `EEFHyperlinkDescription`

#### getEEFHyperlinkDescription_ValueExpression

    public org.eclipse.emf.ecore.EAttribute getEEFHyperlinkDescription_ValueExpression()

Specified by:
  `getEEFHyperlinkDescription_ValueExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFHyperlinkDescription.getValueExpression()`, `EefPackage.getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_DisplayExpression

    public org.eclipse.emf.ecore.EAttribute getEEFHyperlinkDescription_DisplayExpression()

Specified by:
  `getEEFHyperlinkDescription_DisplayExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Display Expression'.
See Also:
  `EEFHyperlinkDescription.getDisplayExpression()`, `EefPackage.getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_OnClickExpression

    public org.eclipse.emf.ecore.EAttribute getEEFHyperlinkDescription_OnClickExpression()

Specified by:
  `getEEFHyperlinkDescription_OnClickExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'On Click Expression'.
See Also:
  `EEFHyperlinkDescription.getOnClickExpression()`, `EefPackage.getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFHyperlinkDescription_Style()

Specified by:
  `getEEFHyperlinkDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFHyperlinkDescription.getStyle()`, `EefPackage.getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFHyperlinkDescription_ConditionalStyles()

Specified by:
  `getEEFHyperlinkDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFHyperlinkDescription.getConditionalStyles()`, `EefPackage.getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_Actions

    public org.eclipse.emf.ecore.EReference getEEFHyperlinkDescription_Actions()

Specified by:
  `getEEFHyperlinkDescription_Actions` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFHyperlinkDescription.getActions()`, `EefPackage.getEEFHyperlinkDescription()`

#### getEEFDynamicMappingFor

    public org.eclipse.emf.ecore.EClass getEEFDynamicMappingFor()

Specified by:
  `getEEFDynamicMappingFor` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Dynamic Mapping For'.
See Also:
  `EEFDynamicMappingFor`

#### getEEFDynamicMappingFor_Iterator

    public org.eclipse.emf.ecore.EAttribute getEEFDynamicMappingFor_Iterator()

Specified by:
  `getEEFDynamicMappingFor_Iterator` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Iterator'.
See Also:
  `EEFDynamicMappingFor.getIterator()`, `EefPackage.getEEFDynamicMappingFor()`

#### getEEFDynamicMappingFor_IterableExpression

    public org.eclipse.emf.ecore.EAttribute getEEFDynamicMappingFor_IterableExpression()

Specified by:
  `getEEFDynamicMappingFor_IterableExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Iterable Expression'.
See Also:
  `EEFDynamicMappingFor.getIterableExpression()`, `EefPackage.getEEFDynamicMappingFor()`

#### getEEFDynamicMappingFor_Ifs

    public org.eclipse.emf.ecore.EReference getEEFDynamicMappingFor_Ifs()

Specified by:
  `getEEFDynamicMappingFor_Ifs` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Ifs'.
See Also:
  `EEFDynamicMappingFor.getIfs()`, `EefPackage.getEEFDynamicMappingFor()`

#### getEEFDynamicMappingIf

    public org.eclipse.emf.ecore.EClass getEEFDynamicMappingIf()

Specified by:
  `getEEFDynamicMappingIf` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Dynamic Mapping If'.
See Also:
  `EEFDynamicMappingIf`

#### getEEFDynamicMappingIf_PredicateExpression

    public org.eclipse.emf.ecore.EAttribute getEEFDynamicMappingIf_PredicateExpression()

Specified by:
  `getEEFDynamicMappingIf_PredicateExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Predicate Expression'.
See Also:
  `EEFDynamicMappingIf.getPredicateExpression()`, `EefPackage.getEEFDynamicMappingIf()`

#### getEEFDynamicMappingIf_Widget

    public org.eclipse.emf.ecore.EReference getEEFDynamicMappingIf_Widget()

Specified by:
  `getEEFDynamicMappingIf_Widget` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Widget'.
See Also:
  `EEFDynamicMappingIf.getWidget()`, `EefPackage.getEEFDynamicMappingIf()`

#### getEEFCustomWidgetDescription

    public org.eclipse.emf.ecore.EClass getEEFCustomWidgetDescription()

Specified by:
  `getEEFCustomWidgetDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Custom Widget Description'.
See Also:
  `EEFCustomWidgetDescription`

#### getEEFCustomWidgetDescription_CustomExpressions

    public org.eclipse.emf.ecore.EReference getEEFCustomWidgetDescription_CustomExpressions()

Specified by:
  `getEEFCustomWidgetDescription_CustomExpressions` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Custom Expressions'.
See Also:
  `EEFCustomWidgetDescription.getCustomExpressions()`, `EefPackage.getEEFCustomWidgetDescription()`

#### getEEFCustomWidgetDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFCustomWidgetDescription_Style()

Specified by:
  `getEEFCustomWidgetDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCustomWidgetDescription.getStyle()`, `EefPackage.getEEFCustomWidgetDescription()`

#### getEEFCustomWidgetDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFCustomWidgetDescription_ConditionalStyles()

Specified by:
  `getEEFCustomWidgetDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFCustomWidgetDescription.getConditionalStyles()`, `EefPackage.getEEFCustomWidgetDescription()`

#### getEEFCustomExpression

    public org.eclipse.emf.ecore.EClass getEEFCustomExpression()

Specified by:
  `getEEFCustomExpression` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Custom Expression'.
See Also:
  `EEFCustomExpression`

#### getEEFCustomExpression_Identifier

    public org.eclipse.emf.ecore.EAttribute getEEFCustomExpression_Identifier()

Specified by:
  `getEEFCustomExpression_Identifier` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFCustomExpression.getIdentifier()`, `EefPackage.getEEFCustomExpression()`

#### getEEFCustomExpression_CustomExpression

    public org.eclipse.emf.ecore.EAttribute getEEFCustomExpression_CustomExpression()

Specified by:
  `getEEFCustomExpression_CustomExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Custom Expression'.
See Also:
  `EEFCustomExpression.getCustomExpression()`, `EefPackage.getEEFCustomExpression()`

#### getEEFListDescription

    public org.eclipse.emf.ecore.EClass getEEFListDescription()

Specified by:
  `getEEFListDescription` in interface `EefPackage`
Returns:
  the meta object for class 'EEF List Description'.
See Also:
  `EEFListDescription`

#### getEEFListDescription_ValueExpression

    public org.eclipse.emf.ecore.EAttribute getEEFListDescription_ValueExpression()

Specified by:
  `getEEFListDescription_ValueExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFListDescription.getValueExpression()`, `EefPackage.getEEFListDescription()`

#### getEEFListDescription_DisplayExpression

    public org.eclipse.emf.ecore.EAttribute getEEFListDescription_DisplayExpression()

Specified by:
  `getEEFListDescription_DisplayExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Display Expression'.
See Also:
  `EEFListDescription.getDisplayExpression()`, `EefPackage.getEEFListDescription()`

#### getEEFListDescription_OnClickExpression

    public org.eclipse.emf.ecore.EAttribute getEEFListDescription_OnClickExpression()

Specified by:
  `getEEFListDescription_OnClickExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'On Click Expression'.
See Also:
  `EEFListDescription.getOnClickExpression()`, `EefPackage.getEEFListDescription()`

#### getEEFListDescription_Actions

    public org.eclipse.emf.ecore.EReference getEEFListDescription_Actions()

Specified by:
  `getEEFListDescription_Actions` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFListDescription.getActions()`, `EefPackage.getEEFListDescription()`

#### getEEFListDescription_Style

    public org.eclipse.emf.ecore.EReference getEEFListDescription_Style()

Specified by:
  `getEEFListDescription_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFListDescription.getStyle()`, `EefPackage.getEEFListDescription()`

#### getEEFListDescription_ConditionalStyles

    public org.eclipse.emf.ecore.EReference getEEFListDescription_ConditionalStyles()

Specified by:
  `getEEFListDescription_ConditionalStyles` in interface `EefPackage`
Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFListDescription.getConditionalStyles()`, `EefPackage.getEEFListDescription()`

#### getEEFWidgetStyle

    public org.eclipse.emf.ecore.EClass getEEFWidgetStyle()

Specified by:
  `getEEFWidgetStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Widget Style'.
See Also:
  `EEFWidgetStyle`

#### getEEFWidgetStyle_LabelBackgroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelBackgroundColorExpression()

Specified by:
  `getEEFWidgetStyle_LabelBackgroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Background Color Expression'.
See Also:
  `EEFWidgetStyle.getLabelBackgroundColorExpression()`, `EefPackage.getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelForegroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelForegroundColorExpression()

Specified by:
  `getEEFWidgetStyle_LabelForegroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Foreground Color Expression'.
See Also:
  `EEFWidgetStyle.getLabelForegroundColorExpression()`, `EefPackage.getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelFontNameExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelFontNameExpression()

Specified by:
  `getEEFWidgetStyle_LabelFontNameExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Font Name Expression'.
See Also:
  `EEFWidgetStyle.getLabelFontNameExpression()`, `EefPackage.getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelFontSizeExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelFontSizeExpression()

Specified by:
  `getEEFWidgetStyle_LabelFontSizeExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Font Size Expression'.
See Also:
  `EEFWidgetStyle.getLabelFontSizeExpression()`, `EefPackage.getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelFontStyleExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelFontStyleExpression()

Specified by:
  `getEEFWidgetStyle_LabelFontStyleExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Font Style Expression'.
See Also:
  `EEFWidgetStyle.getLabelFontStyleExpression()`, `EefPackage.getEEFWidgetStyle()`

#### getEEFTextStyle

    public org.eclipse.emf.ecore.EClass getEEFTextStyle()

Specified by:
  `getEEFTextStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Text Style'.
See Also:
  `EEFTextStyle`

#### getEEFTextStyle_BackgroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFTextStyle_BackgroundColorExpression()

Specified by:
  `getEEFTextStyle_BackgroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFTextStyle.getBackgroundColorExpression()`, `EefPackage.getEEFTextStyle()`

#### getEEFTextStyle_ForegroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFTextStyle_ForegroundColorExpression()

Specified by:
  `getEEFTextStyle_ForegroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Foreground Color Expression'.
See Also:
  `EEFTextStyle.getForegroundColorExpression()`, `EefPackage.getEEFTextStyle()`

#### getEEFTextStyle_FontNameExpression

    public org.eclipse.emf.ecore.EAttribute getEEFTextStyle_FontNameExpression()

Specified by:
  `getEEFTextStyle_FontNameExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFTextStyle.getFontNameExpression()`, `EefPackage.getEEFTextStyle()`

#### getEEFTextStyle_FontSizeExpression

    public org.eclipse.emf.ecore.EAttribute getEEFTextStyle_FontSizeExpression()

Specified by:
  `getEEFTextStyle_FontSizeExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFTextStyle.getFontSizeExpression()`, `EefPackage.getEEFTextStyle()`

#### getEEFTextStyle_FontStyleExpression

    public org.eclipse.emf.ecore.EAttribute getEEFTextStyle_FontStyleExpression()

Specified by:
  `getEEFTextStyle_FontStyleExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Style Expression'.
See Also:
  `EEFTextStyle.getFontStyleExpression()`, `EefPackage.getEEFTextStyle()`

#### getEEFLabelStyle

    public org.eclipse.emf.ecore.EClass getEEFLabelStyle()

Specified by:
  `getEEFLabelStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Label Style'.
See Also:
  `EEFLabelStyle`

#### getEEFLabelStyle_BackgroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_BackgroundColorExpression()

Specified by:
  `getEEFLabelStyle_BackgroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFLabelStyle.getBackgroundColorExpression()`, `EefPackage.getEEFLabelStyle()`

#### getEEFLabelStyle_ForegroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_ForegroundColorExpression()

Specified by:
  `getEEFLabelStyle_ForegroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Foreground Color Expression'.
See Also:
  `EEFLabelStyle.getForegroundColorExpression()`, `EefPackage.getEEFLabelStyle()`

#### getEEFLabelStyle_FontNameExpression

    public org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_FontNameExpression()

Specified by:
  `getEEFLabelStyle_FontNameExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFLabelStyle.getFontNameExpression()`, `EefPackage.getEEFLabelStyle()`

#### getEEFLabelStyle_FontSizeExpression

    public org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_FontSizeExpression()

Specified by:
  `getEEFLabelStyle_FontSizeExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFLabelStyle.getFontSizeExpression()`, `EefPackage.getEEFLabelStyle()`

#### getEEFLabelStyle_FontStyleExpression

    public org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_FontStyleExpression()

Specified by:
  `getEEFLabelStyle_FontStyleExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Style Expression'.
See Also:
  `EEFLabelStyle.getFontStyleExpression()`, `EefPackage.getEEFLabelStyle()`

#### getEEFButtonStyle

    public org.eclipse.emf.ecore.EClass getEEFButtonStyle()

Specified by:
  `getEEFButtonStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Button Style'.
See Also:
  `EEFButtonStyle`

#### getEEFCheckboxStyle

    public org.eclipse.emf.ecore.EClass getEEFCheckboxStyle()

Specified by:
  `getEEFCheckboxStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Checkbox Style'.
See Also:
  `EEFCheckboxStyle`

#### getEEFSelectStyle

    public org.eclipse.emf.ecore.EClass getEEFSelectStyle()

Specified by:
  `getEEFSelectStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Select Style'.
See Also:
  `EEFSelectStyle`

#### getEEFRadioStyle

    public org.eclipse.emf.ecore.EClass getEEFRadioStyle()

Specified by:
  `getEEFRadioStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Radio Style'.
See Also:
  `EEFRadioStyle`

#### getEEFHyperlinkStyle

    public org.eclipse.emf.ecore.EClass getEEFHyperlinkStyle()

Specified by:
  `getEEFHyperlinkStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Hyperlink Style'.
See Also:
  `EEFHyperlinkStyle`

#### getEEFHyperlinkStyle_BackgroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_BackgroundColorExpression()

Specified by:
  `getEEFHyperlinkStyle_BackgroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFHyperlinkStyle.getBackgroundColorExpression()`, `EefPackage.getEEFHyperlinkStyle()`

#### getEEFHyperlinkStyle_FontNameExpression

    public org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_FontNameExpression()

Specified by:
  `getEEFHyperlinkStyle_FontNameExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFHyperlinkStyle.getFontNameExpression()`, `EefPackage.getEEFHyperlinkStyle()`

#### getEEFHyperlinkStyle_FontSizeExpression

    public org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_FontSizeExpression()

Specified by:
  `getEEFHyperlinkStyle_FontSizeExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFHyperlinkStyle.getFontSizeExpression()`, `EefPackage.getEEFHyperlinkStyle()`

#### getEEFHyperlinkStyle_FontStyleExpression

    public org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_FontStyleExpression()

Specified by:
  `getEEFHyperlinkStyle_FontStyleExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Style Expression'.
See Also:
  `EEFHyperlinkStyle.getFontStyleExpression()`, `EefPackage.getEEFHyperlinkStyle()`

#### getEEFCustomWidgetStyle

    public org.eclipse.emf.ecore.EClass getEEFCustomWidgetStyle()

Specified by:
  `getEEFCustomWidgetStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Custom Widget Style'.
See Also:
  `EEFCustomWidgetStyle`

#### getEEFListStyle

    public org.eclipse.emf.ecore.EClass getEEFListStyle()

Specified by:
  `getEEFListStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF List Style'.
See Also:
  `EEFListStyle`

#### getEEFGroupStyle

    public org.eclipse.emf.ecore.EClass getEEFGroupStyle()

Specified by:
  `getEEFGroupStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Group Style'.
See Also:
  `EEFGroupStyle`

#### getEEFGroupStyle_BackgroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_BackgroundColorExpression()

Specified by:
  `getEEFGroupStyle_BackgroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFGroupStyle.getBackgroundColorExpression()`, `EefPackage.getEEFGroupStyle()`

#### getEEFGroupStyle_ForegroundColorExpression

    public org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_ForegroundColorExpression()

Specified by:
  `getEEFGroupStyle_ForegroundColorExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Foreground Color Expression'.
See Also:
  `EEFGroupStyle.getForegroundColorExpression()`, `EefPackage.getEEFGroupStyle()`

#### getEEFGroupStyle_FontNameExpression

    public org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_FontNameExpression()

Specified by:
  `getEEFGroupStyle_FontNameExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFGroupStyle.getFontNameExpression()`, `EefPackage.getEEFGroupStyle()`

#### getEEFGroupStyle_FontSizeExpression

    public org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_FontSizeExpression()

Specified by:
  `getEEFGroupStyle_FontSizeExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFGroupStyle.getFontSizeExpression()`, `EefPackage.getEEFGroupStyle()`

#### getEEFGroupStyle_BarStyle

    public org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_BarStyle()

Specified by:
  `getEEFGroupStyle_BarStyle` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Bar Style'.
See Also:
  `EEFGroupStyle.getBarStyle()`, `EefPackage.getEEFGroupStyle()`

#### getEEFGroupStyle_ToggleStyle

    public org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_ToggleStyle()

Specified by:
  `getEEFGroupStyle_ToggleStyle` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Toggle Style'.
See Also:
  `EEFGroupStyle.getToggleStyle()`, `EefPackage.getEEFGroupStyle()`

#### getEEFGroupStyle_ExpandedByDefault

    public org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_ExpandedByDefault()

Specified by:
  `getEEFGroupStyle_ExpandedByDefault` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Expanded By Default'.
See Also:
  `EEFGroupStyle.isExpandedByDefault()`, `EefPackage.getEEFGroupStyle()`

#### getEEFConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFConditionalStyle()

Specified by:
  `getEEFConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Conditional Style'.
See Also:
  `EEFConditionalStyle`

#### getEEFConditionalStyle_PreconditionExpression

    public org.eclipse.emf.ecore.EAttribute getEEFConditionalStyle_PreconditionExpression()

Specified by:
  `getEEFConditionalStyle_PreconditionExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Precondition Expression'.
See Also:
  `EEFConditionalStyle.getPreconditionExpression()`, `EefPackage.getEEFConditionalStyle()`

#### getEEFTextConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFTextConditionalStyle()

Specified by:
  `getEEFTextConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Text Conditional Style'.
See Also:
  `EEFTextConditionalStyle`

#### getEEFTextConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFTextConditionalStyle_Style()

Specified by:
  `getEEFTextConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFTextConditionalStyle.getStyle()`, `EefPackage.getEEFTextConditionalStyle()`

#### getEEFButtonConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFButtonConditionalStyle()

Specified by:
  `getEEFButtonConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Button Conditional Style'.
See Also:
  `EEFButtonConditionalStyle`

#### getEEFButtonConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFButtonConditionalStyle_Style()

Specified by:
  `getEEFButtonConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFButtonConditionalStyle.getStyle()`, `EefPackage.getEEFButtonConditionalStyle()`

#### getEEFLabelConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFLabelConditionalStyle()

Specified by:
  `getEEFLabelConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Label Conditional Style'.
See Also:
  `EEFLabelConditionalStyle`

#### getEEFLabelConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFLabelConditionalStyle_Style()

Specified by:
  `getEEFLabelConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFLabelConditionalStyle.getStyle()`, `EefPackage.getEEFLabelConditionalStyle()`

#### getEEFCheckboxConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFCheckboxConditionalStyle()

Specified by:
  `getEEFCheckboxConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Checkbox Conditional Style'.
See Also:
  `EEFCheckboxConditionalStyle`

#### getEEFCheckboxConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFCheckboxConditionalStyle_Style()

Specified by:
  `getEEFCheckboxConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCheckboxConditionalStyle.getStyle()`, `EefPackage.getEEFCheckboxConditionalStyle()`

#### getEEFSelectConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFSelectConditionalStyle()

Specified by:
  `getEEFSelectConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Select Conditional Style'.
See Also:
  `EEFSelectConditionalStyle`

#### getEEFSelectConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFSelectConditionalStyle_Style()

Specified by:
  `getEEFSelectConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFSelectConditionalStyle.getStyle()`, `EefPackage.getEEFSelectConditionalStyle()`

#### getEEFRadioConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFRadioConditionalStyle()

Specified by:
  `getEEFRadioConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Radio Conditional Style'.
See Also:
  `EEFRadioConditionalStyle`

#### getEEFRadioConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFRadioConditionalStyle_Style()

Specified by:
  `getEEFRadioConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFRadioConditionalStyle.getStyle()`, `EefPackage.getEEFRadioConditionalStyle()`

#### getEEFHyperlinkConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFHyperlinkConditionalStyle()

Specified by:
  `getEEFHyperlinkConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Hyperlink Conditional Style'.
See Also:
  `EEFHyperlinkConditionalStyle`

#### getEEFHyperlinkConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFHyperlinkConditionalStyle_Style()

Specified by:
  `getEEFHyperlinkConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFHyperlinkConditionalStyle.getStyle()`, `EefPackage.getEEFHyperlinkConditionalStyle()`

#### getEEFCustomWidgetConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFCustomWidgetConditionalStyle()

Specified by:
  `getEEFCustomWidgetConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Custom Widget Conditional Style'.
See Also:
  `EEFCustomWidgetConditionalStyle`

#### getEEFCustomWidgetConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFCustomWidgetConditionalStyle_Style()

Specified by:
  `getEEFCustomWidgetConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCustomWidgetConditionalStyle.getStyle()`, `EefPackage.getEEFCustomWidgetConditionalStyle()`

#### getEEFWidgetAction

    public org.eclipse.emf.ecore.EClass getEEFWidgetAction()

Specified by:
  `getEEFWidgetAction` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Widget Action'.
See Also:
  `EEFWidgetAction`

#### getEEFWidgetAction_LabelExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetAction_LabelExpression()

Specified by:
  `getEEFWidgetAction_LabelExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFWidgetAction.getLabelExpression()`, `EefPackage.getEEFWidgetAction()`

#### getEEFWidgetAction_ActionExpression

    public org.eclipse.emf.ecore.EAttribute getEEFWidgetAction_ActionExpression()

Specified by:
  `getEEFWidgetAction_ActionExpression` in interface `EefPackage`
Returns:
  the meta object for the attribute 'Action Expression'.
See Also:
  `EEFWidgetAction.getActionExpression()`, `EefPackage.getEEFWidgetAction()`

#### getEEFListConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFListConditionalStyle()

Specified by:
  `getEEFListConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF List Conditional Style'.
See Also:
  `EEFListConditionalStyle`

#### getEEFListConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFListConditionalStyle_Style()

Specified by:
  `getEEFListConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFListConditionalStyle.getStyle()`, `EefPackage.getEEFListConditionalStyle()`

#### getEEFGroupConditionalStyle

    public org.eclipse.emf.ecore.EClass getEEFGroupConditionalStyle()

Specified by:
  `getEEFGroupConditionalStyle` in interface `EefPackage`
Returns:
  the meta object for class 'EEF Group Conditional Style'.
See Also:
  `EEFGroupConditionalStyle`

#### getEEFGroupConditionalStyle_Style

    public org.eclipse.emf.ecore.EReference getEEFGroupConditionalStyle_Style()

Specified by:
  `getEEFGroupConditionalStyle_Style` in interface `EefPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFGroupConditionalStyle.getStyle()`, `EefPackage.getEEFGroupConditionalStyle()`

#### getEEF_VALIDATION_SEVERITY_DESCRIPTION

    public org.eclipse.emf.ecore.EEnum getEEF_VALIDATION_SEVERITY_DESCRIPTION()

Specified by:
  `getEEF_VALIDATION_SEVERITY_DESCRIPTION` in interface `EefPackage`
Returns:
  the meta object for enum 'EEF VALIDATION SEVERITY DESCRIPTION'.
See Also:
  `EEF_VALIDATION_SEVERITY_DESCRIPTION`

#### getEEF_FILL_LAYOUT_ORIENTATION

    public org.eclipse.emf.ecore.EEnum getEEF_FILL_LAYOUT_ORIENTATION()

Specified by:
  `getEEF_FILL_LAYOUT_ORIENTATION` in interface `EefPackage`
Returns:
  the meta object for enum 'EEF FILL LAYOUT ORIENTATION'.
See Also:
  `EEF_FILL_LAYOUT_ORIENTATION`

#### getEEF_TOGGLE_STYLE

    public org.eclipse.emf.ecore.EEnum getEEF_TOGGLE_STYLE()

Specified by:
  `getEEF_TOGGLE_STYLE` in interface `EefPackage`
Returns:
  the meta object for enum 'EEF TOGGLE STYLE'.
See Also:
  `EEF_TOGGLE_STYLE`

#### getEEF_TITLE_BAR_STYLE

    public org.eclipse.emf.ecore.EEnum getEEF_TITLE_BAR_STYLE()

Specified by:
  `getEEF_TITLE_BAR_STYLE` in interface `EefPackage`
Returns:
  the meta object for enum 'EEF TITLE BAR STYLE'.
See Also:
  `EEF_TITLE_BAR_STYLE`

#### getEefFactory

    public EefFactory getEefFactory()

Specified by:
  `getEefFactory` in interface `EefPackage`
Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.